#!/bin/sh
# 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1988
# LICENSED MATERIALS - PROPERTY OF IBM
# REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
# $Header:init.2x70.sh 12.0$ 
# $ACIS:init.2x70.sh 12.0$ 
# $Source: /ibm/acis/usr/sys/dist_atr/RCS/init.2x70.sh,v $ 
(
trap ":" 1 2 3 15
PATH=/etc:/usr/ucb:/bin:/usr/bin:/lib:/usr/ibm:.
export PATH
finished=0

while (exit $finished)
do
	echo "
	Downloading 4.3/6152 from source host 'master' to
	target host 'slave'...
"
	if restore.net -fstab -fsck \
		-config full -k vmunix.atr -newfs '-n -m 5' \
		-m nodoc -m nosupport -m nofont -m nolearn \
		-m nokernel -m novice -m noRT -m nobe2src \
		hd0a=root hd0g=user hd1a=/usr/X11 hd1d=/usr/andrew
	then
		echo "
		Automatic installation was successful!

	Please remove the automatic installation diskette and
	reboot the system by pressing CTRL-ALT-Pause."
		finished=1
	else
			echo "
		Automatic installation FAILED!!!
    Fix the problem before trying do download 4.3/6152 again.
"
		while :
		do
			echo -n "\
	Do you want to try to download 4.3/6152 again? (y/n) "
			case "`onechar`" in
			[yY])	break;;
			[nN])	finished=1
				break;;
			!)	echo "
Press <CTRL-D> to leave the Bourne shell"
				sh
				echo;;
			esac
		done
	fi
done
sync
while : ; do : ; done
) < /dev/console > /dev/console 2>&1
